> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Appointment Queue

> A `PUT` to the `/appointment-queues/{appointmentQueueId}` endpoint allows your application to update a specific appointment queue record.



## OpenAPI

````yaml put /v3/appointment-queues/{appointmentQueue}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/appointment-queues/{appointmentQueue}:
    put:
      tags:
        - Appointment Queue
      summary: Update Appointment Queue
      description: >-
        A `PUT` to the `/appointment-queues/{appointmentQueueId}` endpoint
        allows your application to update a specific appointment queue record.
      operationId: appointment-queues.update
      parameters:
        - name: appointmentQueue
          in: path
          required: true
          description: The appointment queue ID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAppointmentQueue'
      responses:
        '200':
          description: '`AppointmentQueue`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AppointmentQueue'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateAppointmentQueue:
      type: object
      properties:
        staff_id:
          type:
            - string
            - 'null'
        appointment_id:
          type:
            - integer
            - 'null'
        status:
          type: string
          enum:
            - waiting
            - called
            - served
            - cancelled
        notes:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items:
            type: string
      title: UpdateAppointmentQueue
    AppointmentQueue:
      type: object
      properties:
        id:
          type: integer
        appointment_definition_id:
          type: integer
        profile_id:
          type:
            - string
            - 'null'
        profile:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            first_name:
              type: string
            last_name:
              type: string
            email:
              type: string
          required:
            - id
            - first_name
            - last_name
            - email
        location_id:
          type: integer
        location:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
            timezone:
              type: string
          required:
            - id
            - name
            - handle
            - timezone
        staff_id:
          type:
            - string
            - 'null'
        staff:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            first_name:
              type: string
            last_name:
              type: string
            email:
              type: string
          required:
            - id
            - first_name
            - last_name
            - email
        appointment_id:
          type:
            - integer
            - 'null'
        status:
          type: string
        notes:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - appointment_definition_id
        - profile_id
        - profile
        - location_id
        - location
        - staff_id
        - staff
        - appointment_id
        - status
        - notes
        - meta
        - created_at
        - updated_at
      title: AppointmentQueue
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````